#include <NewTone.h>

#include "IRremote.h"

IRrecv irrecv(2); // указываем вывод, к которому подключен приемник

decode_results results;

int note;

void setup() {
  Serial.begin(9600); // выставляем скорость COM порта
  irrecv.enableIRIn(); // запускаем прием
}

void loop() {
  if ( irrecv.decode( &results )) { // если данные пришли
    Serial.println( results.value ); // печатаем данные
    if(results.value == 16769565) {
      note=note+50;
      NewTone(6,note,500);
    }
    if(results.value == 16753245) {
      note=note-50;
      NewTone(6,note,500);
    }
    if(results.value == 16736925) {
      NewTone(6,note,1000);
    }
    irrecv.resume(); // принимаем следующую команду
  }
}
